/*
 Theme Name:   Martex Child
 Theme URI:    https://rgadvisory.co.uk
 Description:  RG Advisory child theme
 Author:       RG Advisory
 Author URI:   https://rgadvisory.co.uk
 Template:     rg
 Version:      1.0.0
License:       GNU General Public License version 3.0
License URI:   http://www.gnu.org/licenses/gpl-3.0.html
 Tags:         Rg Advisory
 Text Domain:  rg-child
*/

/* Add your custom css below */

/* max-w */
.max-width-300 {
  max-width: 300px;
}
.max-width-200 {
  max-width: 200px;
}
.nav-link.note-link.active {
  color: #fff !important;
}
.nav-pills .btn:hover {
  color: #fff !important;
}
.collapsed-p {
  max-height: 150px;
  overflow: hidden;
  position: relative;
  padding-bottom: 5px;
}

.collapsed-p::after {
  content: "";
  height: 150px;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0px;
  background: linear-gradient(to top, white, transparent);
  z-index: 1;
}

.expand-button {
  position: absolute;
  bottom: 0px;
  right: 0px;
  background: #fff;
  padding: 5px 0px;
  border: none;
  cursor: pointer;
  z-index: 2;
}

.reply-container .reply-body {
  overflow: hidden;
}
.fs-0 {
  font-size: 0.525rem !important;
  font-weight: 600;
  letter-spacing: 0;
}
/* Gravity form adjustments */
.gform_wrapper {
  width: 100%;
  padding: 0 20px;
}

/* Form fields */
.gform_wrapper .top_label .gfield_label {
  display: block;
  margin: 1.5rem 0 0.5rem 0;
}

.gform_wrapper .ginput_container {
  position: relative;
}

.gform_wrapper input[type="text"],
.gform_wrapper input[type="email"],
.gform_wrapper input[type="url"],
.gform_wrapper input[type="tel"],
.gform_wrapper input[type="number"],
.gform_wrapper input[type="password"],
.gform_wrapper textarea,
.gform_wrapper select {
  width: 100%;
  padding: 0.5rem 1rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
}

/* Form buttons */
.gform_wrapper .gform_footer {
  margin-top: 1rem;
}

.gform_wrapper .gform_footer input[type="submit"] {
  padding: 0.5rem 1rem;
  font-size: 1rem;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 0.25rem;
  cursor: pointer;
  transition: background-color 0.3s;
}

.gform_wrapper .gform_footer input[type="submit"]:hover {
  background-color: #0056b3;
}
.gform_wrapper .ginput_complex.gform-grid-row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.gform_wrapper .gform-grid-col {
  flex: 0 1 50%;
  box-sizing: border-box;
  padding-right: 10px;
}
.gform_wrapper .gsection_title {
  margin: 1.5rem 0 0.5rem 0;
}
.address-shipping .form-control,
.edit-account .form-control,
.woocommerce-ResetPassword .form-control,
.woocommerce-form-register .form-control,
.woocommerce-form-login .form-control {
  padding: 8px 16px;
  background-color: white;
  border-color: #ccc;
}
.gform_inline_error {
  display: block;
  margin-top: 5px;
  font-size: 0.9em;
}

.gform-field-label.gform-field-label--error {
  color: red;
}
@media (max-width: 767px) {
  .gform_wrapper .gform-grid-col {
    width: 100% !important;
    padding-right: 0;
  }
}
.download-docs:after {
  display: none !important;
}

/* Menu Dashboard & Header */
.investor-dashboard-btn a span {
  background-color: #5d87ff;
  color: #fff !important;
  padding: 10px 10px;
  border-radius: 10px;
}
@media (max-width: 575.98px) {
  .mobile-bg-white {
    background-color: white !important;
  }
}
.app-header .navbar .navbar-nav .nav-item .nav-link {
  padding: 8px 10px !important;
  line-height: 70px;
  height: 70px;
  display: flex;
  align-items: center;
  position: relative;
  font-size: 20px;
  z-index: 2;
}
/* Product Page */
.first-section-product .productView-short-description {
  padding: 20px;
}
.first-section-product .flex-column {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 300px;
  margin: auto; /* Center the flex-column div */
}

.first-section-product .btn i {
  margin-right: 5px;
}

.first-section-product .btn-primary:hover {
  background-color: black;
  color: white;
}

.first-section-product .btn-secondary {
  background-color: #fff !important;
  border-color: #fff !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border: none !important;
}

.first-section-product .btn-secondary:hover {
  text-decoration: underline;
  color: #000;
  background-color: #fff;
}

.tabs-products-sections .nav-tabs {
  background-color: #f4f4f4;
  border-radius: 5px !important;
  display: flex;
  align-items: center;
  justify-content: flex-start !important;
  margin-top: 20px !important;
}
.tabs-products-sections .nav-tabs .nav-item a {
  background-color: transparent !important;
  border: none !important;
  font-size: 90% !important;
  padding: 5px 10px !important;
  margin: 5px !important;
}
.tabs-products-sections .nav-tabs .nav-item .active {
  background-color: #fff !important;
  padding: 5px 10px !important;
  margin: 5px !important;
  border-radius: 5px !important;
}
.tabs-products-sections .tab-content .card {
  text-align: center;
  margin-bottom: 20px;
}

.tabs-products-sections .tab-content .card i {
  font-size: 2em;
  margin: 10px 0;
}

.hidden-div {
  display: none;
}
.learn-more {
  background-color: #fff !important;
  border-color: #fff !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border: none !important;
}
.learn-more i {
  transition: transform 0.3s ease;
  display: block;
  font-size: 8px !important;
  margin-top: 2px !important;
}

.learn-more.open i {
  transform: rotate(180deg);
}
.get-docs-product .variation-option {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-align: center;
  max-width: 100% !important;
  margin: 10px;
  padding: 10px;
  position: relative;
  border: 1px solid #f5f5f5;
  border-radius: 10px;
}
.variation-option.default-variation {
  border: 1px solid #fff !important;
  border-color: #27b20c !important;
}
.get-docs-product .variation-option .variation-title {
  max-width: 80% !important;
  padding: 10px !important;
}
.doc-custom-buttons .variation-option .variation-price {
  font-size: 12px !important;
  position: absolute;
  font-weight: 500;
  right: 10px;
  top: 10px !important;
}
.doc-custom-buttons .variation-option .variation-description {
  padding: 10px !important;
  max-width: 80% !important;
}
.doc-custom-buttons .variation-option .button-select-option {
  position: absolute;
  bottom: 5px;
  right: 5px;
}
.select-btn {
  color: #2c4152 !important;
  font-size: 12px !important;
}
.select-btn i {
  margin-right: 5px;
  font-size: 10px !important;
}
.doc-custom-buttons .variation-option .button-select-option .selected {
  color: #000 !important;
  font-weight: 500;
}

@media (max-width: 767px) {
  #stickyCart.sticky {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 1000;
  }
}

.addtocartWrapper .woocommerce-variation-add-to-cart {
  display: flex !important;
  width: 100% !important;
  justify-content: center !important;
  align-items: center !important;
  background-color: #f5f5f5 !important;
  padding: 0px !important;
  max-width: 600px !important;
  margin: 0 auto !important;
}
.addtocartWrapper form.variations_form {
  margin-bottom: 0px;
}

.addtocartWrapper .single_add_to_cart_button {
  background-color: #2c4152 !important;
  color: #fff !important;
  position: relative;
  padding-left: 5px;
  padding: 15px 0 !important;
}

.addtocartWrapper .single_add_to_cart_button::before {
  content: "\f067";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
  border: 0px solid;
}

.addtocartWrapper .single_add_to_cart_button:hover {
  background-color: black;
  color: white; /* Change text color on hover */
}
.woocommerce .input-text.qty {
  min-width: 80px;
  text-align: center !important;
  background-color: transparent;
  border: 0px !important;
}

.bundles-wrapper .circle-icon {
  width: 80px;
  height: 80px;
  border: 10px solid white;
  border-radius: 50%;
  top: 0px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #2c4152;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
}

.bundles-wrapper .rounded {
  border-radius: 15px;
  overflow: hidden;
  padding-top: 0px;
}

.bundles-wrapper .col-md-4 img {
  width: 100%;
  height: auto;
}
.bundles-wrapper .inner-bundles-wrapper {
  background-color: #f4f4f4;
  padding: 40px 20px 10px 20px;
}
.bundles-wrapper .inner-bundles-wrapper .bundle-title {
  font-size: 24px !important;
}
.bundles-wrapper .inner-bundles-wrapper .bundle-subtitle {
  font-size: 16px !important;
  background-color: white;
  padding: 10px 20px;
  border-radius: 5px;
  position: relative;
  display: inline-block;
  margin: 10px auto;
  min-width: 120px;
}

.bundles-wrapper .inner-bundles-wrapper .bundle-subtitle::before {
  content: "";
  position: absolute;
  bottom: 100%; /* Position it above the title */
  left: 50%; /* Center the point */
  margin-left: -5px; /* Bring it back to the exact center */
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent white transparent; /* Arrow point in bottom direction */
}
.bundles-wrapper .inner-bundles-wrapper .rounded-number {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  border: 5px solid white;
  background-color: #f4f4f4;
  border-radius: 50%;
  width: 35px;
  height: 35px;
  font-weight: 500;
}
.bundles-wrapper .inner-bundles-wrapper .learn-more {
  background-color: transparent !important;
  position: relative;
  padding-top: 20px;
}
.bundles-wrapper .inner-bundles-wrapper .bundle-price {
  font-weight: 500;
}
.bundles-wrapper .inner-bundles-wrapper .bundle-price span {
  font-size: 8px;
  font-weight: 600;
  padding-top: 3px;
  top: 5px !important;
}
.bundles-wrapper .inner-bundles-wrapper .bundle-digital {
  font-size: 10px;
}
.bundles-wrapper .inner-bundles-wrapper .info-bundle {
  border-top: 1px solid #ededed;
  padding-top: 10px;
}

/* New Changes */
.get-docs-product .variation-option .variation-description span {
  color: #000;
  font-weight: 500;
  padding-top: 20px;
  margin-bottom: -13px;
  font-weight: ;
  font-size: 10px;
  display: block;
  border-radius: 5px;
  max-width: 150px;
}

/* Mobile styles */
.text-display-1 {
  font-size: 40px;
}

.text-display-2 {
  font-size: 30px;
}

.text-display-3 {
  font-size: 25px;
}

.text-display-4 {
  font-size: 20px;
}

.text-display-5 {
  font-size: 15px;
}

.text-display-6 {
  font-size: 12px;
}
.product-image img {
  max-width: 150px;
  height: auto;
}
.related-product-list .related-product-image img {
  border-radius: 10px 0 0 10px !important;
  max-width: 140px !important;
}
.related-product-list {
  background-color: #f5f5f5;
  padding: 0px;
  border-radius: 10px;
}
.related-product-list h3 {
  margin-bottom: 0px !important;
}
.related-product-list p {
  margin-bottom: 5px !important;
}
.related-product-list .related-product-details {
  padding: 20px 10px 20px 20px !important;
}
/* Desktop styles */
@media (min-width: 768px) {
  .display-5 {
    font-size: 30px;
  }
  .first-section-product .flex-column {
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-width: 100% !important;
    margin: auto;
  }
  .first-section-product .productView-short-description {
    padding: 0px !important;
  }
  .tabs-products-sections .tab-content .card {
    text-align: left !important;
    margin-bottom: 20px;
  }
  .tabs-products-sections .tab-content .card .btn {
    text-align: right !important;
    padding: 10px 0px !important;
  }
  .tabs-products-sections .tab-content .card i {
    display: none;
  }
  .bundles-wrapper .inner-bundles-wrapper span {
    font-size: 10px;
  }
  .tabs-products-sections .tab-content h2 {
    text-align: left !important;
  }
  .tabs-products-sections h3 {
    text-align: left !important;
  }

  .text-display-1 {
    font-size: 60px;
  }

  .text-display-2 {
    font-size: 45px;
  }

  .text-display-3 {
    font-size: 35px;
  }

  .text-display-4 {
    font-size: 30px;
  }

  .text-display-5 {
    font-size: 25px;
  }

  .text-display-6 {
    font-size: 20px;
  }
}
.get-docs-product .variation-option {
  cursor: pointer;
}

/* Product List */
.product-list-header h1 {
  padding-top: 90px;
}
.modal .popup-close-icon {
  position: absolute;
  right: 0;
  right: 0;
  opacity: 1;
  z-index: 9999;
}
.modal .popup-close-icon i {
  padding: 20px;
  font-size: 30px;
  opacity: 1 !important;
  color: #000 !important;
}
.product-list .product-details {
  position: relative;
}

.product-list .product-details .short-description {
  position: relative;
  background-color: #fafafa;
  z-index: 1;
  padding: 20px;
  border-radius: 8px;
}
.product-list .product-details .short-description p {
  margin-bottom: 0;
}
.product-list .product-details .short-description::before {
  content: "";
  position: absolute;
  top: -10px;
  left: 23px;
  border-width: 0 10px 10px 10px;
  border-style: solid;
  border-color: transparent transparent #fafafa transparent;
  z-index: -1;
}
.product-list .product-details .doc-tags ul {
  margin-left: 10px;
  list-style: none;
  padding-left: 0;
}

.product-list .product-details .doc-tags li {
  font-size: 14px !important;
  color: #000;
  margin-left: 10px !important;
  padding: 5px !important;
  position: relative;
}

.product-list .product-details .doc-tags li::before {
  content: "";
  position: absolute;
  left: -8px;
  top: 50%;
  transform: translateY(-50%);
  width: 4px;
  height: 4px;
  background-color: #6c6c6c;
  border-radius: 50%;
}
.product-list .product-image {
  background-color: #ddd !important;
  padding: 10px;
  margin: 0 10px;
}
.product-list {
  padding: 20px;
  border: 1px solid #f5f5f5;
}
.short-description .d-none.lern-more-wrapper a {
  font-size: 12px;
  background-color: transparent !important;
}
.short-description .d-none.lern-more-wrapper i {
  font-size: 30px !important;
}
/* popup */
.modal .modal-body .product-image img {
  max-width: 80px;
  height: auto;
}
.modal .modal-body .product-details p {
  padding: 20px 0px;
  margin-bottom: 0px;
}
.modal .modal-body .product-details h3 {
  display: none !important;
}
